(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', './utilities'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('./utilities'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.utilities);
        global.hasUppercase = mod.exports;
    }
})(this, function (exports, _utilities) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });


    var UPPERCASE_REGEXP = /[A-Z]/;

    exports.default = function (config) {
        return function (value) {
            if ((0, _utilities.isString)(value)) {
                return !UPPERCASE_REGEXP.test(value) ? config.message : null;
            }

            return (0, _utilities.isInvalidType)(value, [_utilities.Types.string]);
        };
    };
});