(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', './utilities'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('./utilities'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.utilities);
        global.isGreaterThan = mod.exports;
    }
})(this, function (exports, _utilities) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    exports.default = function (config) {
        return function (value) {
            if ((0, _utilities.isNumber)(value) || (0, _utilities.isString)(value)) {
                var inputValue = '' + value;
                var testValue = '' + config.value;
                var length = Math.max(inputValue.length, testValue.length);

                inputValue = inputValue.padStart(length, '0');
                testValue = testValue.padStart(length, '0');

                return inputValue <= testValue ? config.message : null;
            }

            return (0, _utilities.isInvalidType)(value, [_utilities.Types.number, _utilities.Types.string]);
        };
    };
});