(function (global, factory) {
    if (typeof define === "function" && define.amd) {
        define(['exports', './utilities'], factory);
    } else if (typeof exports !== "undefined") {
        factory(exports, require('./utilities'));
    } else {
        var mod = {
            exports: {}
        };
        factory(mod.exports, global.utilities);
        global.isWhitelisted = mod.exports;
    }
})(this, function (exports, _utilities) {
    'use strict';

    Object.defineProperty(exports, "__esModule", {
        value: true
    });

    exports.default = function (config) {
        return function (value) {
            var whitelist = config.strict ? config.whitelist : config.whitelist.map(_utilities.toString);

            return !whitelist.includes(config.strict ? value : (0, _utilities.toString)(value)) ? config.message : null;
        };
    };
});